## cgilib 0.4-2

=== debian/changelog ===
cgilib (0.4-2) frozen unstable; urgency=low, closes=20352

  * Made debian/rules executable (closes: Bug#20352)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 28 Mar 1998 21:04:38 +0100

cgilib (0.4-1) frozen unstable; urgency=low

  * Corrected Standards-Version (typo, lintian)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue, 24 Mar 1998 00:38:49 +0100

cgilib (0.4) unstable; urgency=low

  * Corrected html code in redirection
  * Corrected number of bytes in redirection

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 20 Mar 1998 09:20:51 +0100

cgilib (0.3) unstable; urgency=low

  * Fixed little mistake in offline mode
  * Included another example, jumpto

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon, 23 Feb 1998 11:03:21 +0100

cgilib (0.2) unstable; urgency=low

  * Corrected debugging
  * Added cgiRedirect()
  * Added cgiRedirect(3) manpage
  * Added call to cgiRedirect() to example cgitest.c
  * Added compile notice to cgitest.c
  * Added support for the GET method
  * Reorganized POST/GET/stdin support
  * Implemented support for multiple fields and updated manpage

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 18 Feb 1998 11:26:21 +0100

cgilib (0.1-1) unstable; urgency=low

  * New package
  * DFSG Free cgi library
  * Very small package
  * Contains all important manpages

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sun, 15 Feb 1998 05:45:57 +0100
