=== debian/control ===
Source: cgilib
Maintainer: Martin Schulze <joey@debian.org>
Section: web
Priority: optional
Standards-Version: 2.4.0.0

Package: cgilib
Architecture: any
Depends: ${shlibs:Depends}
Suggests: httpd
Section: web
Priority: optional
Description: Simple CGI library
 This library offers a simple programming API to the Common Gateway
 Interface (CGI).
