## cgilib 0.4-3

=== debian/changelog ===
cgilib (0.4-3) unstable; urgency=low

  * Switched from bzero() to memset(), thanks Shaleh
  * Corrected typo in cgiInit(3), thanks Shaleh
  * Removed unneeded dependency field.
  * Fixed typo in jump.c comments, thanks Shaleh.

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 12 Sep 1998 02:55:32 +0200
