=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 Package: cgilib
 Architecture: any
-Depends: ${shlibs:Depends}
 Suggests: httpd
 Section: web
 Priority: optional
