## cgilib 0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#   Copyright (c) 1998  Martin Schulze <joey@infodrom.north.de>
+#   Copyright (c) 1998,9 by Martin Schulze <joey@infodrom.north.de>
 
 #   This program is free software; you can redistribute it and/or modify
 #   it under the terms of the GNU General Public License as published by
@@ -15,15 +15,29 @@
 #   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 
 CFLAGS = -I. -Wall -O2 -g
+LDFLAGS = -L.
+LIBS = -lcgi
 
-libcgi.a: cgi.o
-	ar rc libcgi.a cgi.o
+OBJS = cgi.o cookies.o
 
-cgitest: cgitest.o cgi.o
-	$(CC) $(CFLAGS) -o cgitest cgitest.o cgi.o
+libcgi.a: $(OBJS)
+	ar rc $@ $^
+
+cgitest: cgitest.o libcgi.a
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+
+jumpto: jumpto.o libcgi.a
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+
+all: libcgi.a cgitest jumpto
 
 install: cgitest
 	install -m 755 cgitest /usr/lib/cgi-bin
 
 clean:
-	rm -f cgitest cgitest.o cgi.o
+	rm -f cgitest cgitest.o jumpto jumpto.o libcgi.a $(OBJS) *.[35].html
+
+htmlman:
+	for f in *.[35]; do \
+	  man -l $$f|rman -f HTML --title $$f -r "%s.%s.html" > $$f.html; \
+	done
